Herald
OpenapiExt

Create a new realm

Creates a new realm in the system. Only principals with `realm:manage` permission in the admin realm may invoke this endpoint. # Authentication Requires valid API Key via X-API-Key header # Authorization The caller must have `realm:manage` permission in the `admin` realm.

POST
/api/ext/realms

Creates a new realm in the system. Only principals with realm:manage permission in the admin realm may invoke this endpoint.

Authentication

Requires valid API Key via X-API-Key header

Authorization

The caller must have realm:manage permission in the admin realm.

X-API-Key<token>

Client-app API key (third-party external API).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

adminUser*

Admin user credentials for realm creation

description?string|null
name*string
Length3 <= length <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/ext/realms" \  -H "Content-Type: application/json" \  -d '{    "adminUser": {      "email": "string",      "password": "stringst"    },    "name": "string"  }'
{  "adminUser": null,  "createdAt": "string",  "description": "string",  "id": "string",  "name": "string",  "updatedAt": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}